#Calculate mean daily cycle of pressure from ERA5-Land for each grid point and each month

for year in `seq 2001 2018`; do

cdo delete,month=2,day=29 /mnt/climstor/ecmwf/Era5-Land/surface_pressure/reanalysis-era5-surface_pressure_${year}.nc tmp.nc
cdo splitmon tmp.nc reanalysis-era5-land_surface_pressure_${year}_
rm tmp.nc
for ff in `ls reanalysis-era5-land_surface_pressure_${year}_??.nc`; do
  cdo splithour $ff ${ff}_
  rm $ff
done
mkdir tmp
for m in 01 02 03 04 05 06 07 08 09 10 11 12; do
  for h in 00 01 02 03 04 05 06 07 08 09 10 11 12 13 14 15 16 17 18 19 20 21 22 23; do
    cdo timmean reanalysis-era5-land_surface_pressure_${year}_${m}.nc_${h}.nc tmp/reanalysis-era5-land_surface_pressure_${year}_${m}_${h}.nc
  done
done
rm reanalysis-era5-land_surface_pressure_${year}_??.nc_*
cdo mergetime tmp/* reanalysis-era5-land_surface_pressure_daily_cycle_${year}.nc
rm -r tmp

done

cdo mergetime reanalysis-era5-land_surface_pressure_daily_cycle_????.nc tmp.nc
rm reanalysis-era5-land_surface_pressure_daily_cycle_????.nc
cdo yhourmean tmp.nc reanalysis-era5-land_surface_pressure_daily_cycle_2001-2018.nc
rm tmp.nc
